// Georgy Treshchev 2026 All Rights Reserved.

#pragma once

#include "WebRTCAEC3Feature.h"
#include "Modules/ModuleManager.h"

DECLARE_LOG_CATEGORY_EXTERN(LogRuntimeAudioImporterWebRTCAEC3, Log, All);

class FRuntimeAudioImporterWebRTCAEC3Module : public IModuleInterface
{
public:
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;

protected:
	TSharedPtr<FWebRTCAEC3Feature> AEC3Feature;
	void* AEC3SharedLibHandle = nullptr;
};
